#!/bin/sh
#
# -----------------------------------------------------------------------------
#
# ZenBuild script for acerhk
# ===========================
# Author:	Thibaud GUERIN <guth@ploposor.com>
# URL:		http://www.informatik.hu-berlin.de/~tauber/acerhk/


PATH="$PATH:/sbin:/usr/sbin"
soft='acerhk'
softversion='0.5.35'
kversion=`uname -r`
packageversion=$kversion


arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/${soft}-${softversion}.tar.bz2"
src="$buildir/${soft}-${softversion}"
package="${soft}-${softversion}-${arch}-${packageversion}"
dest="$buildir/${package}"


cd $buildir
rm -rf $src


#
# Extract the tar ball, patch and modify
#
echo "Extracting the program tarball..."
tar -xf $srcpkg

rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest
#chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu"
export CXFLAGS="-O2 -march=i486 -mtune=$cpu"

cd $src

echo "Building ..."
#./configure \
#--prefix=/usr \
#--localstatedir=/var \
#--sysconfdir=/etc \
#--mandir=/usr/man
make
DESTDIR=$dest PREFIX=/usr make install
mkdir -p $dest/lib/modules/`uname -r`/extra
cp acerhk.ko $dest/lib/modules/`uname -r`/extra/
cd ..


chown -R root.root $dest

# No icon
# No .desktop

#( cd $dest
#  find . | xargs file | grep ELF | grep executable | cut -f 1 -d : | xargs strip --strip-unneeded
#)
#( cd $dest/usr/man
#  find . -name "*.?" | xargs gzip -9
#)

#cp -a lineakd.conf.example $dest/etc/lineakd.conf

## --- DOCUMENTATION ---
echo "Building Doc"
rm -rf $dest/usr/share/doc
mkdir -p $dest/usr/doc/$soft-$softversion

cd $src
cp -a AUTHORS COPYING INSTALL README $dest/usr/doc/$soft-$softversion
cd ..
chown -R root.root $dest/usr/doc/$soft-$softversion/*
chmod -R a-ws $dest/usr/doc/$soft-$softversion/*

# Compress the man pages
#gzip -9f $dest/usr/man/*/*


# --- PACKAGE DESCRIPTION ---
mkdir -p $dest/install

cat <<EOF > $dest/install/slack-desc
#       |-----handy-ruler------------------------------------------------------|
$soft: hotkey support for acer and some other laptop
$soft:
$soft: Warning: this package is for $kversion kernel only.
$soft: 
$soft: 
$soft: 
$soft: 
$soft: 
$soft: 
$soft: 
$soft: 
EOF

cat << EOF > $dest/install/doinst.sh
/sbin/depmod -a
EOF

mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

# --- OWNERSHIP, RIGHTS ---

chmod -R o-w $dest


# --- BUILDING ---

echo "Build package"
cd $dest
/sbin/makepkg -l y -c n $dest.tgz

cd ..
md5sum $dest.tgz > $dest.md5
touch $dest.dep
